Bug 651190 - [abrt] gedit-1:2.30.2-1.fc13: parser.py:162:append:AttributeError: 'NoneType' object has no attribute 'parent'
[abrt] gedit-1:2.30.2-1.fc13: parser.py:162:append:AttributeError: 'NoneType'...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
13
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:c97397a8
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-08 17:53 EST by Phil V
Modified: 2011-06-28 06:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 06:44:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.50 KB, text/plain)
2010-11-08 17:53 EST, Phil V
no flags Details

  None (edit)
Description Phil V 2010-11-08 17:53:25 EST
abrt version: 1.1.13
architecture: x86_64
cmdline: gedit combinedgraphics_test.tex
component: gedit
executable: /usr/lib64/gedit-2/plugins
kernel: 2.6.34.7-61.fc13.x86_64
package: gedit-1:2.30.2-1.fc13
reason: parser.py:162:append:AttributeError: 'NoneType' object has no attribute 'parent'
release: Fedora release 13 (Goddard)
time: 1289255577
uid: 500

backtrace
-----
parser.py:162:append:AttributeError: 'NoneType' object has no attribute 'parent'

Traceback (most recent call last):
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/base/decorators.py", line 735, in _on_load
    self._adjust_editor()
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/base/decorators.py", line 794, in _adjust_editor
    editor_class.__init__(self._editor, self, file)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/base/__init__.py", line 428, in __init__
    self.init(file, self._window_context)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/editor.py", line 111, in init
    self.__parse()
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/editor.py", line 322, in __parse
    expander.expand(self._document, self._file, self, self.charset)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/expander.py", line 55, in expand
    self._expand(documentNode)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/expander.py", line 91, in _expand
    self._expand(node)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/expander.py", line 91, in _expand
    self._expand(node)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/expander.py", line 85, in _expand
    node.append(fragment)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/parser.py", line 162, in append
    node.parent = self
AttributeError: 'NoneType' object has no attribute 'parent'

Local variables in innermost frame:
node: None
self: [[[]]]

How to reproduce
-----
This happens frequently (but not reproducibly) when opening up tex files. 
It tends to happen the first time gedit is run in a session. 
I have the latex plugin installed.

This time the file was combinedgraphics_test.tex from CTAN.

'gedit combinedgraphics_test.tex' caused this crash the first time the command was run but not on later reinvocation.

Hope that helps!
Comment 1 Phil V 2010-11-08 17:53:26 EST
Created attachment 458916 [details]
File: backtrace
Comment 2 Bug Zapper 2011-05-30 09:59:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 06:44:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.